https://pagure.io/python-daemon/c/0c67a3c6407fbf4483ccfc94a7a0d78cf3379296

From: Miro Hrončok <miro@hroncok.cz>
Date: Sep 29 2021 10:05:27 +0000
Subject: Remove incorrect double-patch of objects in test cases.

The specific test cases relying on the patches, already are decorated
to patch the specific attributes needed. We don't need a general patch
of the attributes in the test case setup.

Signed-off-by: Ben Finney <ben+python@benfinney.id.au>

--- a/test/test_pidfile.py
+++ b/test/test_pidfile.py
@@ -367,12 +367,6 @@ class TimeoutPIDLockFile_TestCase(scaffold.TestCase):
         pidlockfile_scenarios = make_pidlockfile_scenarios()
         self.pidlockfile_scenario = pidlockfile_scenarios['simple']
 
-        for func_name in ['__init__', 'acquire']:
-            func_patcher = unittest.mock.patch.object(
-                    lockfile.pidlockfile.PIDLockFile, func_name)
-            func_patcher.start()
-            self.addCleanup(func_patcher.stop)
-
         self.scenario = {
                 'pidfile_path': self.pidlockfile_scenario['pidfile_path'],
                 'acquire_timeout': self.getUniqueInteger(),

